#ifndef ARGONEUTEVD_MINOSDRAWER_H
#define ARGONEUTEVD_MINOSDRAWER_H
#include <vector>
#ifdef __CINT__
namespace art { 
  class Event;
  class PtrVector;
  class Ptr;
}
#else
#include "art/Persistency/Common/PtrVector.h"
#include "art/Framework/Principal/Event.h" 
#endif
#include "lareventdisplay/EventDisplay/OrthoProj.h"

namespace evdb{ 
  class View2D;
  class View3D;
}
namespace geo      { class Geometry; }
namespace t962     { class MINOS; } 
namespace recob    { class Track; }


namespace argoevd {
  /// Aid in the rendering of Geometry objects
  class MinosDrawer {
  public:
    MinosDrawer();
    ~MinosDrawer();
    void DetOutline3D(evdb::View3D* view);
     void MinosOutline3D(evdb::View3D* view);

     void Minos3D(const art::Event& evt,
                  evdb::View3D*     view);
     void MinosTrack(const art::Ptr<t962::MINOS> minos,
                     int                 id,
                     evdb::View3D*       view,
                     bool                matched);
     void MinosOrtho(const art::Event& evt,
		     evdb::View2D*     view,
		     evd::OrthoProj_t    proj);
     void MinosTrackOrtho(const art::Ptr<t962::MINOS> minos,
			  int                 id,
			  evdb::View2D*       view,
			  bool                matched,
			  evd::OrthoProj_t    proj
			  );
     void ArgoTrackOrtho(const art::Ptr<recob::Track> track,
			 evdb::View2D*       view,
			 evd::OrthoProj_t    proj);

  private:
     int GetMinos(const art::Event&            evt,
                  const std::string&           which,
                  art::PtrVector<t962::MINOS>& minos);

     
  };
}

#endif
////////////////////////////////////////////////////////////////////////
