#!/usr/bin/env python
#----------------------------------------------------------------------
#
# Name: project_utilities.py
#
# Purpose: A python module containing various experiment-specific
#          python utility functions.
#
# Created: 28-Oct-2013  H. Greenlee
#
#----------------------------------------------------------------------

import os

# Don't fail (on import) if samweb is not available.

try:
    import samweb_cli
except ImportError:
    pass

def get_setup_script_path():

    OASIS_DIR="/cvmfs/oasis.opensciencegrid.org/lbne/products/"
    FERMIAPP_DIR="/grid/fermiapp/argoneut/code/t962soft/releases/development/setup/"

    if os.path.isfile(FERMIAPP_DIR+"setup_larsoft_fnal.sh"):
        setup_script = FERMIAPP_DIR+"setup_larsoft_fnal.sh"
    elif os.path.isfile(OASIS_DIR+"setup_larsoft_fnal.sh"):
        setup_script = OASIS_DIR+"setup_larsoft_fnal.sh"
    else:
        raise RuntimeError, "Could not find setup script at "+FERMIAPP_DIR+" or "+OASIS_DIR

    return setup_script

