/// \file    ArgoNeuTTWQProjectionView.h
/// \brief   Class to aid in the rendering of ArgoNeuT Reconstruction objects
/// \author  andrzej.szelc@yale.edu
#ifndef EVD_ARGONEUTTWQPROJECTIONVIEW_H
#define EVD_ARGONEUTTWQPROJECTIONVIEW_H
#include "lareventdisplay/EventDisplay/TWQProjectionView.h"
#include "RQ_OBJECT.h"

#include <vector>
#ifdef __CINT__
namespace art { 
  class Event;
  class PtrVector;
  class Ptr;
}
#else
#include "art/Persistency/Common/PtrVector.h"
#endif

namespace t962     { class MINOS; }

namespace argoevd {
  /// Aid in the rendering of ArgoNeuT Reconstruction objects
   class ArgoneutTWQProjectionView : public evd::TWQProjectionView {
  public:
    ArgoneutTWQProjectionView(TGMainFrame* mf);
    ~ArgoneutTWQProjectionView();

  public:

  void SetUpSideBar(); 
  void SetUpClusterDeleteButtons();

  
  private:

  TGTextButton* fDeleteLast; ///<Calculate the 2D & 3D angles between lines
  TGTextButton* fDeleteEvent;

    
        
    
    
  };
}

#endif
////////////////////////////////////////////////////////////////////////
