//
// Build a dictionary.
//
// $Id: classes.h,v 1.8 2010/04/12 18:12:28  Exp $
// $Author:  $
// $Date: 2010/04/12 18:12:28 $
// 
// Original author Rob Kutschke, modified by klg
//
// Notes:
// 1) The system is not able to deal with
//    art::Wrapper<std::vector<std::string> >;
//    The problem is somewhere inside root's reflex mechanism
//    and Philippe Canal says that it is ( as of March 2010) a
//    known problem.  He also says that they do not have any
//    plans to fix it soon.  We can always work around it 
//    by putting the string inside another object.


#include "art/Persistency/Common/Wrapper.h"
#include "art/Persistency/Common/Assns.h"

// nutools includes
#include "T962_Objects/Paddles.h"
#include "T962_Objects/MINOS.h"
#include "lardata/RecoBase/Track.h"

//
// Only include objects that we would like to be able to put into the event.
// Do not include the objects they contain internally.
//
template class std::vector<t962::MINOS>;
template class std::vector<t962::Paddles>;
template class std::pair< art::Ptr<recob::Track>, art::Ptr<t962::MINOS>  >;
template class std::pair< art::Ptr<t962::MINOS>, art::Ptr<recob::Track>  >;
template class art::Assns<recob::Track, t962::MINOS, void>;
template class art::Assns<t962::MINOS, recob::Track, void>;

template class art::Wrapper< t962::Paddles >;
template class art::Wrapper< std::vector<t962::MINOS>     >;
template class art::Wrapper< std::vector<t962::Paddles>   >;
template class art::Wrapper< art::Assns<recob::Track, t962::MINOS, void> >;
template class art::Wrapper< art::Assns<t962::MINOS, recob::Track, void> >;
